create_deliverable
Generates the requested deliverable for the requested revision or claim.
Code
create_deliverable › Request Body
revision_iddeliverable_typego_datereference_typeproc_datelocation_idinvoice_idreasonclaim_numberreturn_premium_idfilepathclaim_idclaim_loss_datedelay_print_daysprint_statecreate_deliverable › Responses
successmessagedatadelete_html_template
Deletes an HTML Template by name
Code
delete_html_template › Request Body
nameName of the template to delete.
delete_html_template › Responses
dataEmpty object
successIndicates if the request was successful
finalize_recovery_candidate
finalize_recovery_candidate
finalize_recovery_candidate › Request Body
job_idBackgroundJob ID of the completed recovery task.
candidate_idCandidate identifier being finalized, e.g. 'file:uuid'.
finalize_recovery_candidate › Responses
Result of the finalization step.
successIndicates if the request was successful.
get_all_html_templates
Gets a list with all HTML Templates
Code
get_all_html_templates › Request Body
get_all_html_templates › Responses
successIndicates if the request was successful
get_dynamic_fields
Retrieves custom fields for a template and renders any Jinja templates in their default values.
Code
get_dynamic_fields › Request Body
deliverable_template_idid of the template (x_report_location.id) that has the dynamic_field.
reference_idOptional claim or revision ID. Used to render Jinja templates in default values and, for a dropdown field, to resolve live options (static list directly, dynamic against this entity's context).
get_dynamic_fields › Responses
array of dynamic fields objects.
successIndicates if the request was successful
get_html_template
Gets an HTMLTemplate by name
Code
get_html_template › Request Body
nameName of the template to retrieve.
get_html_template › Responses
successIndicates if the request was successful
list_attachments
Retrieves attachments list related to any policy/contact/revision combination.
Code
list_attachments › Request Body
policy_idrevision_idcontact_idprint_date_fromprint_date_toprint_state_neprint_stateorder_bylist_attachments › Responses
successmessagedataqueue_recovery_candidate
queue_recovery_candidate
queue_recovery_candidate › Request Body
candidate_idCandidate identifier to queue for recovery, e.g. 'file:uuid' or 'folder:uuid'.
queue_recovery_candidate › Responses
Result of queuing the recovery task.
successIndicates if the request was successful.
regenerate_combined_billing_statements
Generate any combined billing covers that were sent out on the specified start_date and end_date range If no end_date is supplied, we work with the respective date range (start_date-1, start_date).
regenerate_combined_billing_statements › Request Body
start_dateend_dategroup_billing_numberforce_generationregenerate_combined_billing_statements › Responses
successmessagedataretrieve_available_document_options
Finds all document types configured within a given Business Location that can be generated with "standard" parameters. Excludes billing, return premium, and claim acknolwedgement documents. These specific documents require more detailed processing and arguments, and therefore do not fit into this description.
Code
retrieve_available_document_options › Request Body
location_idlocation_abbrlocation_namemoduleretrieve_available_document_options › Responses
successmessagedataretrieve_files_for_entity
Finds all active files for a specific entity, given a reference point. Optionally can retrieve files with a NULL reference object as well (example, Report files). Additional filters can also be applied if desired.
Code
retrieve_files_for_entity › Request Body
reference_idpolicy_numberclaim_numberallow_null_referenceascendingadvanced_filtersReturns-------successmessagesdataretrieve_files_for_entity › Responses
successmessagedataretrieve_recovery_statuses
retrieve_recovery_statuses
retrieve_recovery_statuses › Request Body
job_idsList of BackgroundJob IDs to retrieve recovery status for.
retrieve_recovery_statuses › Responses
Status of each requested recovery job.
successIndicates if the request was successful.
save_html_template
Saves an HTMLTemplate record to be used as a BriteCore Document Jinja template.
Code
save_html_template › Request Body
nameThe name to use when referencing the template. Globally unique. If a template with the same name already exists, it will be updated.
htmlThe HTML string (Jinja template) to be converted into a deliverable.
use_new_html_renderWhether or not to use the new render.py to render the Jinja template.
use_new_pdf_renderWhether or not to use the new render.py to render the PDF deliverable.
enabledWhether the template is enabled or not.
show_as_custom_deliverableWhether the template should be shown as a custom deliverable in the UI.
save_html_template › Responses
successIndicates if the request was successful
search_recovery_candidates
search_recovery_candidates
search_recovery_candidates › Request Body
start_dateStart of the print-date range to scan for broken deliverables.
end_dateEnd of the print-date range to scan for broken deliverables.
include_empty_s3_file_contentInclude files whose S3 object has zero bytes.
include_zero_sized_file_recordInclude files whose DB size field is 0.
include_mismatched_size_recordInclude files where the DB size does not match the S3 content length.
include_empty_folderInclude deliverable folders that contain no child files.
search_recovery_candidates › Responses
List of broken deliverable candidates matching the search filters.
successIndicates if the request was successful.
set_html_templates_locations
Set the mapping between the html templates and the locations they are used in. Parameters ---------- templates_locations_mapping : dict { "templates": [{ "id": "template_id", "name": "template_name", "location_ids": ["location1", "location2", ...], }, ... ] } Returns ------- success : bool True if successful, False if not messages : list of str List of human-readable error messages
set_html_templates_locations › Request Body
successIndicates if the request was successful
set_html_templates_locations › Responses
successIndicates if the request was successful
